document.addEventListener('DOMContentLoaded', function () {
    // OpenLayer maps
    const maps = document.querySelectorAll('.ol-map');
    if (maps.length) {
        import('./components/openlayers').then(({ olMap }) => {
            olMap(maps);
        });
    }

    // Google maps
    /* const gmaps = document.querySelectorAll('.gmap');
    if (gmaps.length) {
        import('./components/gmap').then(({ loadGoogleMaps }) => {
            loadGoogleMaps();
        });
    } */
});
